Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1304497 - File Roler in Wayland doesn't support drag-n-drop
Summary: File Roler in Wayland doesn't support drag-n-drop
Keywords:
Status: CLOSED DUPLICATE of bug 1229018
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-03 20:07 UTC by Isaque Galdino
Modified: 2017-08-13 16:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-13 16:15:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Isaque Galdino 2016-02-03 20:07:45 UTC
Description of problem:
I can't select a file from an archive file and drag-n-drop to a folder in Nautilus.

Version-Release number of selected component (if applicable):
gnome-session-wayland-session-3.18.1.2-2.fc23.x86_64
file-roller-3.16.4-1.fc23.x86_64
nautilus-3.18.5-1.fc23.x86_64

How reproducible:
every time

Steps to Reproduce:
1. Open a zip, tar.gz, ... any archive file
2. Select one file form the archive
3. Drag the file and drop it on a folder in Nautilus

Actual results:
nothing

Expected results:
It should extract the file from the archive

Additional info:

Comment 1 Fedora End Of Life 2016-11-24 15:22:45 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 rktspm 2016-12-11 00:50:12 UTC
This bug is still present in Fedora 25.
When I try do drag-n-drop a file from file-roller into nautilus, both applications become frozen.

file-roller-3.22.2-1.fc25.x86_64
nautilus-3.22.1-1.fc25_x86_64

Comment 3 Viliam Križan 2016-12-19 19:57:19 UTC
I am reproducing this also in F25. Not sure if this is a problem or Wayland or file-roller wayland integration.

Comment 4 Manuel Bejarano 2017-03-15 18:02:57 UTC
I can confirm that this bug is present when using Wayland. Drag-n-drop works as expected when using Xorg though.

file-roller-3.22.3-1.fc25.x86_64
nautilus-3.22.3-1.fc25.x86_64
xorg-x11-server-Xwayland-1.19.1-3.fc25.x86_64
xorg-x11-server-Xorg-1.19.1-3.fc25.x86_64

Comment 5 Gabriele 2017-07-03 20:58:17 UTC
The bug is still here in Fedora 25 with Wayland. In Fedora 24 with Xorg there isn't any issue.

Comment 6 Michael Schwendt 2017-08-13 16:15:29 UTC

*** This bug has been marked as a duplicate of bug 1229018 ***


Note You need to log in before you can comment on or make changes to this bug.